Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024081
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-14 10:262013-07-05 11:42
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision7d5612c40c9c
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024081: Bug with rounding in web POS

DescriptionBug with rounding in web POS
Steps To Reproduce-configure one instance with the attached Format.xml
-login as "system" and change the currency "price precision" to 4

-configure web POS with one price list without taxes
-Login in web POS
-add a product with price "4.5" and qty "1.77" and tax rate "Exemnt"
-finally pay with 20€

You will get the following result:
-total 7.97
-tax base: 7.965 instead of 7.97
-total paid 20
-change 12.04 instead of 12.03
TagsNo tags attached.
Attached Filesxml file icon Format.xml [^] (3,280 bytes) 2013-06-14 10:26

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059447)
hgbot (developer)
2013-06-14 15:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7d5612c40c9ca65e1fae94a802715b3e8966fdbc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jun 14 15:30:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7d5612c40c9ca65e1fae94a802715b3e8966fdbc [^]

Fixed issue 24081. Tax base will be formatted with the correct number of decimals. Change calculation will also take into account the correct number of decimals.

---
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059448)
marvintm (developer)
2013-06-14 16:14

This commit is also needed for this fix:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/25482b4994f7 [^]
(0059488)
guilleaer (developer)
2013-06-18 13:36

Verified
(0059751)
hgbot (developer)
2013-06-28 10:27

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 7d5612c40c9ca65e1fae94a802715b3e8966fdbc
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jun 14 15:30:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/7d5612c40c9ca65e1fae94a802715b3e8966fdbc [^]

Fixed issue 24081. Tax base will be formatted with the correct number of decimals. Change calculation will also take into account the correct number of decimals.

---
M web/org.openbravo.retail.posterminal/js/components/renderorderline.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059888)
guilleaer (developer)
2013-07-05 11:42

reclosed

- Issue History
Date Modified Username Field Change
2013-06-14 10:26 jecharri New Issue
2013-06-14 10:26 jecharri Assigned To => marvintm
2013-06-14 10:26 jecharri File Added: Format.xml
2013-06-14 10:27 jecharri Steps to Reproduce Updated View Revisions
2013-06-14 10:42 jecharri Steps to Reproduce Updated View Revisions
2013-06-14 15:30 hgbot Checkin
2013-06-14 15:30 hgbot Note Added: 0059447
2013-06-14 15:30 hgbot Status new => resolved
2013-06-14 15:30 hgbot Resolution open => fixed
2013-06-14 15:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7d5612c40c9ca65e1fae94a802715b3e8966fdbc [^]
2013-06-14 16:14 marvintm Note Added: 0059448
2013-06-18 13:36 guilleaer Review Assigned To => guilleaer
2013-06-18 13:36 guilleaer Note Added: 0059488
2013-06-18 13:36 guilleaer Status resolved => closed
2013-06-18 13:36 guilleaer Fixed in Version => RMP24
2013-06-28 10:27 hgbot Checkin
2013-06-28 10:27 hgbot Note Added: 0059751
2013-06-28 10:27 hgbot Status closed => resolved
2013-06-28 10:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7d5612c40c9ca65e1fae94a802715b3e8966fdbc [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/7d5612c40c9ca65e1fae94a802715b3e8966fdbc [^]
2013-07-05 11:42 guilleaer Note Added: 0059888
2013-07-05 11:42 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker